#!/usr/local/bin/pgbash
source "system.conf"
##########################################################################
#  "pre_delete.cgi"
#
# (system.conf)
#  PGDATABASE       : database name
#  PGUSER2          : database user
#  PGPASSWORD2      : database password for select
#  PGPASSWORD       : database password for update
#  PGCLIENTENCODING : database client encoding
#  HTMLENCODING     : HTML encoding
#  
# (Shell valiables)
#  SQL_encoding     : encoding
#  SQL_keyval       : key value
#  SQL_password     : password 
#  SQL_tabletag     : table tag for OPTION_TABLETAG.
#  SQL_caption      : table title for OPTION_CAPTION.
##########################################################################
exec 2>&1
echo "Content-type:  text/html"
echo ""
set EXEC_SQL_OPTION CGI;

##echo "1"
#---------- Encoding ----------
_get_encoding "$SQL_encoding"   # function

#---------- strat HTML ----------
echo "<HTML>"
echo "<HEAD>"
echo "<META HTTP-EQUIV=Content-Language CONTENT=ja>"
echo "<META HTTP-EQUIV=Content-Type CONTENT='text/html; charset=$HTMLENCODING'>"
echo "</HEAD>"
echo "<BODY BGCOLOR=#DDDDDD>"
echo "<H2>$SQL_caption</H2>"

##echo "2"
#-------- check key name and passowrd shell variable ----------
if [ -z "$SQL_keyval" ] ; then
   echo "<H2>Key name not found.</H2>"
   exit
fi
if [ -z "$SQL_password" ]; then
   echo "<H2>Password data not found.</H2>"
   exit
fi

##echo "3"
#-------- connect to DATABASE ---------
connect to $PGDATABASE user $PGUSER2 $PGPASSWORD2;

if(( SQLCODE != 0 )); then
   exit
fi

##echo "4"
#-------- Check keyval and password ----------
if [ "$SQL_password" != "$PGPASSWORD" ]; then

   select passwd into :sql_passwd 
          from member_passwd where userid=$SQL_keyval;

   if [ "$SQL_password" != "$sql_passwd" ]; then
      disconnect all;
      echo "<H2>Password error</H2>"
      exit;
   fi
fi

##echo "5"
#---------- client_encoding -----------
set client_encoding='$PGCLIENTENCODING';

if(( SQLCODE != 0 )); then
   disconnect all;
   exit
fi

##echo "6"
#----------- table tag -----------------
set OPTION_TABLETAG='<table bgcolor=#D1EEEE cellspacing=1 border=1>';
set OPTION_EXPANDED=ON;
set OPTION_HEADER=OFF;
set OPTION_BOTTOM=OFF;

##echo "7"
#------------ execute SQL -------------
select $SQL_colnames from member where userid=$SQL_keyval;

if (( SQLCODE == 0 )); then
   if (( SQLNTUPLE == 0 )); then
      echo "<H2>Data not found.</H2>"
   else

##echo "8"
      #-----------------------------------------------------------------------
      #                   Execute DELETE SQL
      #-----------------------------------------------------------------------
      echo "<FORM METHOD=POST ACTION=http://db.peak.gr.jp/cgi-bin/exec_sql.cgi>"

      #----------- password/encoding ----------
      echo "<INPUT TYPE=hidden NAME=SQL_password VALUE='$PGPASSWORD'>"
      echo "<INPUT TYPE=hidden NAME=SQL_encoding VALUE='$SQL_encoding'>"

      #----------- DELETE query ----------
      echo "<INPUT TYPE=hidden NAME=EXEC_SQL_PREPARE"
      echo "       VALUE=\"delete from member where userid=$SQL_keyval\">"

      #----------- history back nuber ---------
      echo "<INPUT TYPE=hidden NAME=SQL_historyback  VALUE='-3'>"

      echo "<INPUT TYPE=submit VALUE=submit>"
      echo "</FORM>"

      echo "<BR>"
      echo "<BR>"
      echo "---<BR>"
      echo "If you want to delete the above data, please click [submit] button. <BR>"

   fi
fi

##echo "9"
#------- disconnect DATABASE ----------
disconnect all;

echo "</BODY>"
echo "</HTML>"

