#!/usr/local/bin/pgbash
source "system.conf"
##########################################################################
#  "pre_update.cgi"
#
#  (member.conf)
#  PGDATABASE        : database name
#  PGUSER2           : database user
#  PGPASSWORD2       : database password for select.
#  PGPASSWORD        : database password for update.
#  PGCLIENTENCODING  : Sdatabase client encoding
#  HTMLENCODING      : HTML encoding
#  
#  (Shell valiables)
#  SQL_encoding      : encoding
#  SQL_keyval        : user ID
#  SQL_password      : password 
#  SQL_colnames      : column names for select.
#  SQL_tabletag      : table tag for OPTION_TABLETAG.
#  SQL_caption       : table title for OPTION_CAPTION.
#  SQL_inputsize     : table input tag size for OPTION_INPUTSIZE
##########################################################################
exec 2>&1
echo "Content-type:  text/html"
echo ""
set EXEC_SQL_OPTION CGI;

##echo "1"
#--------- initialize ---------
_get_encoding "$SQL_encoding"         # function

##echo "2"
#--------- start HTML ----------
echo "<HTML>"
echo "<HEAD>"
echo "<META HTTP-EQUIV=Content-Language CONTENT=ja>"
echo "<META HTTP-EQUIV=Content-Type CONTENT='text/html; charset=$HTMLENCODING'>"
echo "</HEAD>"
echo "<BODY BGCOLOR=#DDDDDD>"

##echo "3"
#-------- check keyval/password shell value --------
if [ -z "$SQL_keyval" ] ; then
   echo "<H2>'$SQL_keyval' not found.</H2>"
   exit
fi
if [ -z "$SQL_password" ]; then
   echo "<H2>Password not found.</H2>"
   exit
fi

##echo "4"
#-------- connect to DATABASE -----------
connect to $PGDATABASE user $PGUSER2 $PGPASSWORD2;

if(( SQLCODE != 0 )); then
   exit
fi

##echo "5"
#-------- Check keyval and password ----------
if [ "$SQL_password" != "$PGPASSWORD" ]; then

   select passwd into :sql_passwd
  	 from member_passwd where userid=$SQL_keyval;

   if [ "$SQL_password" != "$sql_passwd" ]; then
      disconnect all;
      echo "<H2>Password error</H2>"
      exit;
   fi
fi

##echo "6"
#-------- Database Encoding -----------
set client_encoding='$PGCLIENTENCODING';

if(( SQLCODE != 0 )); then
   disconnect all;
   exit
fi

##echo "7"
#----------- set table tag ------------
set OPTION_tabletag='<table border=1 bgcolor=#D1EEEE cellspacing=1 cellpadding=2>';
set OPTION_HEADER=OFF;
set OPTION_BOTTOM=OFF;
set OPTION_EXPANDED=ON;
set OPTION_INPUTTAG=ON;
set OPTION_caption='$SQL_caption';
set OPTION_INPUTSIZE='$SQL_inputsize';

##echo "8"
#----------------------------------------------------------------------
#                          New Page
#----------------------------------------------------------------------
echo "<FORM METHOD=POST ACTION=http://db.peak.gr.jp/cgi-bin/exec_sql.cgi>"

##echo "9"
#----------- exec sql SELECT ---------
select $SQL_colnames from member where userid=$SQL_keyval;

if (( SQLCODE == 0 )); then
      if (( SQLNTUPLE == 0 )); then
         echo "<H2>Data not found. ( $SQL_keyval )</H2><BR>"
         disconnect all;
         echo "</BODY>"
         echo "</HTML>"
         exit
      fi

      echo "<BR>"

      ##echo "10"
      #----------- userid/password ----------
      echo "<INPUT TYPE=hidden NAME=SQL_password Value='$PGPASSWORD'>"
      echo "<INPUT TYPE=hidden NAME=SQL_encoding Value='$SQL_encoding'>"
      echo "<INPUT TYPE=hidden NAME=SQL_keyval   Value='$SQL_keyval'>"

      #---------- UPDATE query -----------
      echo "<INPUT TYPE=hidden NAME=EXEC_SQL_PREPARE 
                   Value=\"update $EXEC_SQL_PREPARE_update where userid=$SQL_keyval\">"

      #---------- history back number --------
      echo "<INPUT TYPE=hidden NAME=SQL_historyback VALUE='-3'>"

      echo "<INPUT TYPE=SUBMIT VALUE=submit>"

      echo "<BR><BR>"
      echo "---<BR>"
      echo "If you want to update the above data, please input data and click [submit] button.<BR>"
fi

echo "</FORM>"


##echo "11"
#------- disconnect DATABASE ----------
disconnect all;

echo "</BODY>"
echo "</HTML>"

