#!/usr/local/bin/pgbash
source "system.conf"
##########################################################################
#  "exec_sql.cgi"
#  execute insert/update/delete SQL.
#
# (system.conf)
#  PGDATABASE        : database name
#  PGUSER            : database user
#  HTMLENCODING      : HTML encoding
#  
# (Shell valiables)
#  SQL_encoding      : encoding
#  SQL_password      : password 
#  SEXEC_SQL_PREPARE : SQL statement
#  SQL_historyback   : history back
##########################################################################
exec 2>&1
echo "Content-type:  text/html"
echo ""
set EXEC_SQL_OPTION CGI;

#----------- Encoding ----------
_get_encoding "$SQL_encoding"   # function

#----------- start HTML ----------
echo "<HTML>"
echo "<HEAD>"
echo "<META HTTP-EQUIV=Content-Language CONTENT=ja>"
echo "<META HTTP-EQUIV=Content-Type CONTENT='text/html; charset=$HTMLENCODING'>"
echo "</HEAD>"
echo "<BODY BGCOLOR=#DDDDDD>"

#-------- check password/SQL ----------
if [ -z "$SQL_password" ]; then
   echo "<H2>Password not found.</H2>"
   exit
fi
if [ -z "$EXEC_SQL_PREPARE" ]; then
   echo "<H2>SQL statement not found.</H2>"
   exit
fi


#-------- connect to DATABASE ---------
connect to $PGDATABASE user $PGUSER $SQL_password;

if(( SQLCODE != 0 )); then
   exit
fi

#---------- client_encoding -----------
set client_encoding='$PGCLIENTENCODING';

if(( SQLCODE != 0 )); then
   disconnect all;
   exit
fi

#------------ execute SQL -------------
exec_sql "$EXEC_SQL_PREPARE";

if (( SQLCODE == 0 )); then
   if [ "$SQL_WORD" = "INSERT" ]; then
      echo "<H2>Datas are inserted (OID=$SQLOID).</H2><BR>"
   elif [ "$SQL_WORD" = "DELETE" ]; then
      echo "<H2>Datas are deleted.</H2><BR>"
   elif [ "$SQL_WORD" = "UPDATE" ]; then
      echo "<H2>Datas are updated.</H2><BR>"
   else
      echo "<H2>Data is OK!<H2><BR>"
   fi
fi

#------- disconnect DATABASE ----------
disconnect all;

#----------- history back ----------
if [ -n "$SQL_historyback" ]; then
   echo "<BR>"
   echo "<form>"
   echo "<input type=button value=' Back ' onclick='history.go($SQL_historyback)'>"
   echo "</form>"
fi

echo "</BODY>"
echo "</HTML>"
