#!/usr/local/bin/pgbash
source "system.conf"
##########################################################################
#  "insert_member.cgi"
#
# (system.conf)
#  PGDATABASE       : database name
#  PGUSER           : database user
#  PGPASSWORD       : database password
#  PGCLIENTENCODING : database client encoding
#  HTMLENCODING     : HTML encoding
#  
# (Shell valiables)
#  SQL_encoding     : client encoding
#  SQL_password     : password 
#  SQL_colnames     : column names
##########################################################################
exec 2>&1
echo "Content-type:  text/html"
echo ""
set EXEC_SQL_OPTION CGI;

_get_encoding "$SQL_encoding"  # function

echo "<HTML>"
echo "<HEAD>"
echo "<META HTTP-EQUIV=Content-Language CONTENT=ja>"
echo "<META HTTP-EQUIV=Content-Type CONTENT='text/html; charset=$HTMLENCODING'>"
echo "</HEAD>"
echo "<BODY BGCOLOR=#DDDDDD>"

#-------- Check password ---------
if [ -z "$SQL_password" ]; then
   echo "<H2>Password not found.</H2>"
   exit
fi

#-------- connect to DATABASE ---------
connect to $PGDATABASE user $PGUSER $PGPASSWORD;

if(( SQLCODE != 0 )); then
   exit
fi

#---------- client_encoding -----------
set client_encoding='$PGCLIENTENCODING';

if(( SQLCODE != 0 )); then
   disconnect all;
   exit
fi

#------------ get SEQUENCE NEXT VALUE ----------
select nextval('member_seq') into :sql_seq;

#----------- insert into MEMBER ----------
insert into member(userid, $SQL_colnames) values ($sql_seq, $EXEC_SQL_PREPARE_value);

if (( SQLCODE == 0 )); then
   echo "<B>Datas are inserted.</B><BR>"
   echo "<PRE>"
   echo "<B>Userid   : <font size=5>$sql_seq</font></B>"
   echo "<B>Password : <font size=5>$SQL_password</font></B>"
   echo "</PRE>"

   #----------- insert into MEMBER_PASSWD ----------
   insert into member_passwd values( $sql_seq, '$SQL_password' );

   #----------- select MEMBER ----------
   set OPTION_HEADER=OFF; 
   set OPTION_BOTTOM=OFF;
   set OPTION_EXPANDED=ON;
   select userid, $SQL_colnames from member where userid=$sql_seq;

   #---------- mail to: xxxxxx@zzz.jp --------
   set OPTION_HTML=OFF;
   set OPTION_SEPARATOR=':';
   set OPTION_CAPTION='This is a \'subscribe member_list\' message from D/B server.';

   select * from member where userid=$sql_seq; | \
      /bin/mail -s "subscribe member_list" xxxxxx@zzz.jp

   set OPTION_HTML=ON;

fi

#------- disconnect DATABASE ----------
disconnect all;

#------- history back ---------
echo "<BR>"
echo "<form>"
echo "<input type=button value=' Back ' onclick='history.go(-2)'>"
echo "</form>"

echo "</BODY>"
echo "</HTML>"
