#!/usr/local/bin/pgbash
source "system.conf"
##########################################################################
#  "select.cgi"
#
#  (member.conf)
#  PGDATABASE        : database name
#  PGUSER2           : database user
#  PGPASSWORD2       : database password
#  PGCLIENTENCODING  : database client encoding
#  HTMLENCODING      : HTML encoding
#  
#  (Shell valiables)
#  EXEC_SQL_PREPARE_select: SELECT query
#  SQL_tabletag      : table tag for OPTION_TABLETAG.
#  SQL_caption       : table title for OPTION_CAPTION.
#  SQL_headertr      : table header <TR> tag 
#  SQL_headerth      : table header <TH> tag 
#  SQL_bodytag       : table body <TD> tag
#  SQL_expanded      : expande mode
#  SQL_inputtag      : input tag mode
#  SQL_inputsize     : input tag size
#  SQL_header        : header print mode
#  SQL_bottom        : bottom print mode
#  SQL_nullstring    : NULL string
#  SQL_zerostring    : ZERO string
##########################################################################
exec 2>&1
echo "Content-type:  text/html"
echo ""
set EXEC_SQL_OPTION CGI;

#--------- initialize ----------
_get_encoding "$SQL_encoding"          # function

##echo "2"
#--------- start HTML ----------
echo "<HTML>"
echo "<HEAD>"
echo "<META HTTP-EQUIV=Content-Language CONTENT=ja>"
echo "<META HTTP-EQUIV=Content-Type CONTENT='text/html; charset=$HTMLENCODING'>"
echo "</HEAD>"
echo "<BODY BGCOLOR=#DDDDDD>"

##echo "3"
#-------- connect to DATABASE ---------
connect to $PGDATABASE user $PGUSER2 $PGPASSWORD2;

if(( SQLCODE != 0 )); then
   exit
fi

##echo "4"
#---------- client_encoding -----------
set client_encoding='$PGCLIENTENCODING';

if(( SQLCODE != 0 )); then
   disconnect all;
   exit
fi

##echo "5"
#----------- table tag -----------------
if [ -n "$SQL_expanded" ]; then
   set OPTION_EXPANDED='$SQL_expanded';
fi
if [ -n "$SQL_inputtag" ]; then
   set OPTION_INPUTTAG=$SQL_inputtag;
fi
if [ -n "$SQL_caption" ]; then
   set OPTION_CAPTION='$SQL_caption';
fi
set OPTION_TABLETAG='$SQL_tabletag';
set OPTION_HEADERTR='$SQL_headertr';
set OPTION_HEADERTH='$SQL_headerth';
set OPTION_BODYTAG='$SQL_bodytag';
set OPTION_INPUTSIZE='$SQL_inputsize';

set OPTION_HEADER=$SQL_header;
set OPTION_BOTTOM=$SQL_bottom;
set OPTION_NULLSTRING='$SQL_nullstring';
set OPTION_ZEROSTRING='$SQL_zerostring';

##echo "6"
#------------ execute SQL -------------
select $EXEC_SQL_PREPARE_select;

if (( SQLCODE == 0 && SQLNTUPLE == 0 )); then
      echo "<H2>Data not found.</H2>"
fi

##echo "7"
#------- disconnect DATABASE ----------
disconnect all;

echo "</BODY>"
echo "</HTML>"
